﻿Get-Command -Module DnsServer -Name *Policy*

Add-DnsServerPrimaryZone -Name abc.com -ReplicationScope Domain

Add-DnsServerClientSubnet -Name 64_Subnet -IPv4Subnet "10.10.10.64/26"
Add-DnsServerClientSubnet -Name 128_Subnet -IPv4Subnet "10.10.10.128/26"

Add-DnsServerZoneScope -ZoneName abc.com -Name "64_Scope"
Add-DnsServerZoneScope -ZoneName abc.com -Name "128_Scope"

Add-DnsServerResourceRecord -ZoneName abc.com -A -Name File-SRV -IPv4Address 10.10.10.66 -ZoneScope "64_Scope"
Add-DnsServerResourceRecord -ZoneName abc.com -A -Name File-SRV -IPv4Address 10.10.10.133 -ZoneScope "128_Scope"

Add-DnsServerQueryResolutionPolicy -Name "64_Policy" -Action ALLOW -ClientSubnet "eq,64_Subnet" -ZoneScope "64_Scope,1" -ZoneName abc.com
Add-DnsServerQueryResolutionPolicy -Name "128_Policy" -Action ALLOW -ClientSubnet "eq,128_Subnet" -ZoneScope "128_Scope,1" -ZoneName abc.com

# run the following commands from the client side to test

Get-NetIPAddress -InterfaceAlias "ethernet0" -AddressFamily IPv4
Clear-DnsClientCache
Resolve-DnsName -Name File-SRV.abc.com

netsh interface ipv4 set address name="ethernet0" static 10.10.10.129 255.255.255.0 10.10.10.254
Get-NetIPAddress -InterfaceAlias "ethernet0" -AddressFamily IPv4
Resolve-DnsName -Name File-SRV.abc.com

netsh interface ipv4 set address name="ethernet0" static 10.10.10.120 255.255.255.0 10.10.10.254